Appends content chunks to an existing stream message in a Google Chat space.
Requires app authentication with the authorization scope:
https://www.googleapis.com/auth/chat.bot
HTTP request
POST https://chat.googleapis.com/v1/{name=spaces/*/streamMessages/*}:appendStreamMessageContent
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the stream message to append content to. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"chunkToken": string,
"progressText": string,
"streamContentChunks": [
{
object ( |
| Fields | |
|---|---|
chunkToken |
Required. Token for appending the next chunk of content, obtained from the |
progressText |
Optional. Updated plain-text progress status for the stream message. Maximum length is 250 characters. If omitted or empty, the existing |
streamContentChunks[] |
Required. A list of chunks to append to the message. |
Response body
If successful, the response body contains an instance of StreamMessage.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/chat.bothttps://www.googleapis.com/auth/chat.messages
For more information, see the Authorization guide.